package de.thdeg.greiner.superpangworld.graphics.base;

import de.thdeg.greiner.superpangworld.gameview.GameView;

/**
 * A Bubble, which moves around on the screen and can be shot by the player.
 */
public abstract class Bubble extends GameObject implements MovingGameObject{

    /** Flag, if the bubble flies from left to right */
    private boolean flyFromLeftToRight;

    /**
     * Create a bubble with default values.
     * @param gameView the {@link GameView} to display the bubble
     */
    public Bubble(GameView gameView){
        super(gameView);
        rotation = 90;
        size = 5;
        width = 12;
        height = 12;
        speedInPixel = 5;
        flyFromLeftToRight = true;
    }

    @Override
    public String toString() {
        return "Bubble:" + getPosition().toString();
    }

    /**
     * Moves the bubble a tick further.
     */
    @Override
    public void updatePosition(){
        if(flyFromLeftToRight && getPosition().x + (width*size) >= GameView.WIDTH){
            flyFromLeftToRight = false;
        }else if (!flyFromLeftToRight && getPosition().x <= 0){
            flyFromLeftToRight = true;
        }
        if(flyFromLeftToRight){
            getPosition().right(1);
        }else{
            getPosition().left(1);
        }
    }

    /**
     * Pop the bubble.
     */
    private void popBubble(){}

    /**
     * Freezes the time.
     */
    private void freezeTime(){}
}
