package de.thdeg.greiner.superpangworld.graphics.immovable;

import de.thdeg.greiner.superpangworld.gameview.GameView;
import de.thdeg.greiner.superpangworld.graphics.base.GameObject;

/**
 * The icon to display the remaining lives.
 */
public class LivesIcon extends GameObject {

    private final static String ICON =
                    "  RR   RR  \n"+
                    " RRRR RRRR \n"+
                    "RRRRRRRRRRR\n"+
                    "RRRRRRRRRRR\n"+
                    " RRRRRRRRR \n"+
                    "  RRRRRRR  \n"+
                    "   RRRRR   \n"+
                    "    RRR    \n"+
                    "     R     \n";

    /**
     * Create lives icon.
     *
     * @param gameView the gameView
     */
    public LivesIcon(GameView gameView) {
        super(gameView);
        rotation = 0;
        size = 5;
        width = 12;
        height = 12;

        position.setTo(50,GameView.HEIGHT-50);
    }

    @Override
    public void addToCanvas() {
        gameView.addBlockImageToCanvas(ICON,position.x,position.y,size,rotation);
    }

    @Override
    public void updateStatus() {

    }
}
