package de.thdeg.greiner.superpangworld.graphics.moveable;

import de.thdeg.greiner.superpangworld.gameview.GameView;
import de.thdeg.greiner.superpangworld.graphics.base.Bubble;

import java.util.Random;

/**
 * The rare hexagonal bubble.
 */
public class HexagonalBubble extends Bubble {

    /**
     * Create a hexagonal bubble with default values.
     *
     * @param gameView the {@link GameView} to display the bubble
     */
    public HexagonalBubble(GameView gameView) {
        super(gameView);

        Random rand = new Random();
        position.setTo(rand.nextInt(GameView.WIDTH),rand.nextInt(GameView.HEIGHT));

        size=0.6;
        speedInPixel = 2;
    }

    @Override
    public void addToCanvas() {
        gameView.addImageToCanvas("hexagon.png",position.x,position.y,size,rotation);
    }

    @Override
    public void updateStatus() {

    }

    @Override
    public void updatePosition() {
        super.updatePosition();
        rotation = (rotation + 1) % 360;
    }
}
