package de.thdeg.greiner.superpangworld.graphics.moveable;

import de.thdeg.greiner.superpangworld.gameview.GameView;
import de.thdeg.greiner.superpangworld.graphics.base.Bubble;

import java.util.Random;


/**
 * The classic red, round bubble.
 */
public class RoundBubble extends Bubble {

    /** The pixel art for the bubble */
    private final static String RED_BUBBLE =
            "    RRRR    \n"+
                    "   RWRRRR   \n"+
                    "  RWRRRRRR  \n"+
                    " RWRRRRRRRR \n"+
                    "RWRRRRRRRRRR\n"+
                    "RWRRRRRRRRRR\n"+
                    "RWRRRRRRRRWR\n"+
                    "RRRRRRRRRWWR\n"+
                    " RRRRRRRWWR \n"+
                    "  RRRRRWWR  \n"+
                    "   RRRWWR   \n"+
                    "    RRRR    \n";

    /**
     * Create a round bubble with default values.
     *
     * @param gameView the {@link GameView} to display the bubble
     */
    public RoundBubble(GameView gameView) {
        super(gameView);

        Random rand = new Random();
        position.setTo(rand.nextInt(GameView.WIDTH),rand.nextInt(GameView.HEIGHT));
    }

    /**
     * Draws the bubble onto the canvas of the {@link GameView}.
     */
    @Override
    public void addToCanvas(){
        gameView.addBlockImageToCanvas(RED_BUBBLE, getPosition().x, getPosition().y,size, rotation);
    }

    @Override
    public void updateStatus() {

    }
}
