package de.thdeg.greiner.superpangworld.graphics.moveable;

import de.thdeg.greiner.superpangworld.gameview.GameView;
import de.thdeg.greiner.superpangworld.graphics.base.Bubble;

import java.util.Random;

/**
 * The green bubble with special abilities.
 */
public class SpecialBubble extends Bubble {

    /** The pixel art for the bubble */
    private final static String GREEN_BUBBLE =
                    "    GGGG    \n"+
                    "   GWGGGG   \n"+
                    "  GWGGGGGG  \n"+
                    " GWGGGGGGGG \n"+
                    "GWGGGGGGGGGG\n"+
                    "GWGGGGGGGGGG\n"+
                    "GWGGGGGGGGWG\n"+
                    "GGGGGGGGGWWG\n"+
                    " GGGGGGGWWG \n"+
                    "  GGGGGWWG  \n"+
                    "   GGGWWG   \n"+
                    "    GGGG    \n";

    /**
     * Create a special bubble with default values.
     *
     * @param gameView the {@link GameView} to display the bubble
     */
    public SpecialBubble(GameView gameView) {
        super(gameView);

        Random rand = new Random();
        position.setTo(rand.nextInt(GameView.WIDTH),rand.nextInt(GameView.HEIGHT));
    }

    @Override
    public void addToCanvas() {
        gameView.addBlockImageToCanvas(GREEN_BUBBLE,position.x,position.y,size, rotation);
    }

    @Override
    public void updateStatus() {

    }

    /**
     * Switches the active effect.
     */
    private void switchEffect(){

    }

    /**
     * Activates the current effect.
     */
    private void activateEffect(){

    }
}
